org.apache.ignite.internal.processors.cluster.baseline.autoadjust

## Class BaselineAutoAdjustStatus

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.baseline.autoadjust.BaselineAutoAdjustStatus

    public class BaselineAutoAdjustStatus
    extends Object

Statistic of baseline auto-adjust.

### Nested Class Summary

Nested Classes
`static class` `BaselineAutoAdjustStatus.TaskState`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`BaselineAutoAdjustStatus.TaskState` `getTaskState()`
`long` `getTimeUntilAutoAdjust()`
`static BaselineAutoAdjustStatus` `inProgress()`
`static BaselineAutoAdjustStatus` `notScheduled()`
`static BaselineAutoAdjustStatus` `scheduled(long timeout)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### scheduled

    public static BaselineAutoAdjustStatus scheduled(long timeout)

Parameters:
  `timeout` - Timeout of task of baseline adjust.
Returns:
  Created statistic object.

#### inProgress

    public static BaselineAutoAdjustStatus inProgress()

Returns:
  Created statistic object with 'in progress' status.

#### notScheduled

    public static BaselineAutoAdjustStatus notScheduled()

Returns:
  Created statistic object with 'not scheduled' status.

#### getTimeUntilAutoAdjust

    public long getTimeUntilAutoAdjust()

Returns:
  Timeout of task of baseline adjust.

#### getTaskState

    public BaselineAutoAdjustStatus.TaskState getTaskState()

Returns:
  State of baseline adjust task.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020